Bug 60402 - New port: japanese/ebview-gtk2
Summary: New port: japanese/ebview-gtk2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Norikatsu Shigemura
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-12-19 16:20 UTC by faust
Modified: 2004-01-16 02:57 UTC (History)
0 users

See Also:


Attachments
file.shar (2.88 KB, text/plain)
2003-12-19 16:20 UTC, faust
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description faust 2003-12-19 16:20:14 UTC
Ebview is a gtk based tool to access CD-ROM dictionaries of
EPWING, EB, EBG,EBXA, EBXA-C formats.

WWW: http://ebview.sourceforge.net/
Comment 1 Norikatsu Shigemura freebsd_committer 2003-12-19 16:42:56 UTC
State Changed
From-To: open->analyzed

I'll handle this, and request repo-copy from japanese/ebview to this. 


Comment 2 Norikatsu Shigemura freebsd_committer 2003-12-19 16:42:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nork

I'll handle this, and request repo-copy from japanese/ebview to this.
Comment 3 tkato 2003-12-20 04:03:33 UTC
It seems USE_GETOPT_LONG and USE_AUTOCONF_VER aren't needed
any more. Ports skelton can be more simplified as such.


# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	ebview-gtk2
#	ebview-gtk2/Makefile
#	ebview-gtk2/distinfo
#	ebview-gtk2/pkg-descr
#	ebview-gtk2/pkg-plist
#
echo c - ebview-gtk2
mkdir -p ebview-gtk2 > /dev/null 2>&1
echo x - ebview-gtk2/Makefile
sed 's/^X//' >ebview-gtk2/Makefile << 'END-of-ebview-gtk2/Makefile'
X# New ports collection makefile for:	ebview
X# Date Created:		28 Jan 2002
X# Whom:			Yoichi NAKAYAMA <yoichi@FreeBSD.org>
X#
X# $FreeBSD: ports/japanese/ebview/Makefile,v 1.16 2003/09/04 17:01:36 krion Exp $
X#
X
XPORTNAME=	ebview
XPORTVERSION=	0.3.1
XPKGNAMESUFFIX=	-gtk2
XCATEGORIES=	japanese
XMASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=	${PORTNAME}
X
XMAINTAINER=	ports@FreeBSD.org
XCOMMENT=	Electronic Book Viewer
X
XLIB_DEPENDS=	eb.7:${PORTSDIR}/japanese/eb
X
XUSE_GNOME=	gtk20 gnometarget
XUSE_GMAKE=	yes
XGNU_CONFIGURE=	yes
XCONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include" \
X		LDFLAGS="-L${LOCALBASE}/lib"
X
Xpost-patch:
X.for file in src/grep.c
X	@cd ${WRKSRC} && ${MV} ${file} ${file}.pre_iconv \
X		&& iconv -c -t ascii ${file}.pre_iconv > ${file} || ${TRUE}
X.endfor
X
Xpost-install:
X.if !defined(NOPORTDOCS)
X	@${MKDIR} ${DOCSDIR}
X.for file in ChangeLog README
X	${INSTALL_DATA} ${WRKSRC}/${file} ${DOCSDIR}
X.endfor
X.endif
X
X.include <bsd.port.mk>
END-of-ebview-gtk2/Makefile
echo x - ebview-gtk2/distinfo
sed 's/^X//' >ebview-gtk2/distinfo << 'END-of-ebview-gtk2/distinfo'
XMD5 (ebview-0.3.1.tar.gz) = 28927e10bb56c7598757ac4fded85806
END-of-ebview-gtk2/distinfo
echo x - ebview-gtk2/pkg-descr
sed 's/^X//' >ebview-gtk2/pkg-descr << 'END-of-ebview-gtk2/pkg-descr'
XEbview is a gtk based tool to access CD-ROM dictionaries of
XEPWING, EB, EBG,EBXA, EBXA-C formats.
X
XWWW: http://ebview.sourceforge.net/
END-of-ebview-gtk2/pkg-descr
echo x - ebview-gtk2/pkg-plist
sed 's/^X//' >ebview-gtk2/pkg-plist << 'END-of-ebview-gtk2/pkg-plist'
Xbin/ebview
X%%PORTDOCS%%%%DOCSDIR%%/ChangeLog
X%%PORTDOCS%%%%DOCSDIR%%/README
X%%DATADIR%%/about.en
X%%DATADIR%%/about.jp
X%%DATADIR%%/endinglist-ja.xml
X%%DATADIR%%/endinglist.xml
X%%DATADIR%%/filter.xml
X%%DATADIR%%/help/en/index.html
X%%DATADIR%%/help/en/body.html
X%%DATADIR%%/help/en/menu.html
X%%DATADIR%%/help/ja/index.html
X%%DATADIR%%/help/ja/body.html
X%%DATADIR%%/help/ja/menu.html
X%%DATADIR%%/searchengines.xml
X%%DATADIR%%/shortcut.xml
Xshare/locale/ja/LC_MESSAGES/ebview.mo
X@dirrm %%DATADIR%%/help/ja
X@dirrm %%DATADIR%%/help/en
X@dirrm %%DATADIR%%/help
X@dirrm %%DATADIR%%
X%%PORTDOCS%%@dirrm %%DOCSDIR%%
END-of-ebview-gtk2/pkg-plist
exit
Comment 4 Norikatsu Shigemura freebsd_committer 2003-12-27 08:15:42 UTC
On Sat, 20 Dec 2003 13:03:33 +0900
KATO Tsuguru <tkato@prontomail.com> wrote:
> It seems USE_GETOPT_LONG and USE_AUTOCONF_VER aren't needed
> any more. Ports skelton can be more simplified as such.

	Thank you for your review.  I noticed some problem.
	I added CONFLICTS.  BTW, where is iconv?  I think we should
	add BUILD_DEPENDS...  Do you think?

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
# New ports collection makefile for:	ebview-gtk2
# Date Created:				7 Dec 2003
# Whom:					<faust@ua.airnet.ne.jp>
#
# $FreeBSD: ports/japanese/ebview-gtk2/Makefile,v 1.16 2003/09/04 17:01:36 krion Exp $
#

PORTNAME=	ebview
PORTVERSION=	0.3.1
PKGNAMESUFFIX=	-gtk2
CATEGORIES=	japanese
MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
MASTER_SITE_SUBDIR=	${PORTNAME}

MAINTAINER=	ports@FreeBSD.org
COMMENT=	Electronic Book Viewer

LIB_DEPENDS=	eb.7:${PORTSDIR}/japanese/eb
#BUILD_DEPENDS=	iconv:${PORTSDIR}/converters/libiconv

CONFLICTS=	ja-ebview-0*

USE_GNOME=	gtk20 gnometarget
USE_GMAKE=	yes
GNU_CONFIGURE=	yes
CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include" \
		LDFLAGS="-L${LOCALBASE}/lib"

post-patch:
.for file in src/grep.c
	@cd ${WRKSRC} && ${MV} ${file} ${file}.pre_iconv \
		&& iconv -c -t ascii ${file}.pre_iconv > ${file} || ${TRUE}
.endfor

post-install:
.if !defined(NOPORTDOCS)
	@${MKDIR} ${DOCSDIR}
.for file in ChangeLog README
	${INSTALL_DATA} ${WRKSRC}/${file} ${DOCSDIR}
.endfor
.endif

.include <bsd.port.mk>
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Comment 5 tkato 2003-12-27 09:35:29 UTC
On Sat, 27 Dec 2003 17:15:42 +0900
Norikatsu Shigemura <nork@FreeBSD.org> wrote:

> On Sat, 20 Dec 2003 13:03:33 +0900
> KATO Tsuguru <tkato@prontomail.com> wrote:
> > It seems USE_GETOPT_LONG and USE_AUTOCONF_VER aren't needed
> > any more. Ports skelton can be more simplified as such.
> 
> 	Thank you for your review.  I noticed some problem.
> 	I added CONFLICTS.  BTW, where is iconv?  I think we should
> 	add BUILD_DEPENDS...  Do you think?

USE_GNOME=gtk20 implies libiconv depndency.

In the meantime, "post-patch:" target must be replaced with
"pre-build:" after japanese/ebview.
Comment 6 Norikatsu Shigemura freebsd_committer 2003-12-27 13:37:49 UTC
On Sat, 27 Dec 2003 18:35:29 +0900
KATO Tsuguru <tkato@prontomail.com> wrote:
> > On Sat, 20 Dec 2003 13:03:33 +0900
> > KATO Tsuguru <tkato@prontomail.com> wrote:
> > > It seems USE_GETOPT_LONG and USE_AUTOCONF_VER aren't needed
> > > any more. Ports skelton can be more simplified as such.
> > 	Thank you for your review.  I noticed some problem.
> > 	I added CONFLICTS.  BTW, where is iconv?  I think we should
> > 	add BUILD_DEPENDS...  Do you think?
> USE_GNOME=gtk20 implies libiconv depndency.

	Ah! Thank you.

> In the meantime, "post-patch:" target must be replaced with
> "pre-build:" after japanese/ebview.

	Committed, thanks!
Comment 7 Norikatsu Shigemura freebsd_committer 2004-01-16 02:56:55 UTC
State Changed
From-To: analyzed->closed

Committed, thanks!